Subject: [PWE3] RE: Comments on draft-ietf-pwe3-vccv-11.txt

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Tue, 10 Oct 2006 14:52:09 -0400

"Peter, I only added this because I believe that others insisted that clarification  
was needed in this section.  I do not recall anyone asking for it to be completely
removed, just aligned with what appears in the OAM msg map draft and to act
as a summary of what is explained in detail there."
 
Tom,
 
I asked for a removal of this section before. See  <http://www1.ietf.org/mail-archive/web/pwe3/current/msg08466.html> http://www1.ietf.org/mail-archive/web/pwe3/current/msg08466.html.
 
I don't think it is a good idea to try to summarize the OAM message mapping draft in VCCV. The danger of being incomplete or inaccurate is significant. At best, the summary is redundant; at worst, we end up with conflicting specs. 
 
Peter

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Tuesday, October 10, 2006 2:38 PM
To: Busschbach, Peter B (Peter)
Cc: PWE3 WG (E-mail)
Subject: Re: Comments on draft-ietf-pwe3-vccv-11.txt

On Oct 9, 2006, at 4:39 PM, Busschbach, Peter B (Peter) wrote:

Tom,
 
I have a comment on section 4.1.
 
The text in its current form is not precise.
 
1) It is not clear what is meant by "control plane == 'UP'". Does it mean that the LDP session is up, or does it mean that the PW Status code is "Pseudowire Forwarding"?

It might be more precise to say "control plane status", as is
what the control plane believes to be the status of the PW.
In your example, yes, LDP's view of things would be what
is here (i.e.: LDP status codes).

 2) The text says that diagnostics code 0 is used when the PW is up. However, according to the BFD spec, while in the AC defect state, a PE transmits diagnostics code 6, but the BFD session remains up. In other words, the state "BFD == UP" is not equivalent with "diagnostics code == 0". Perhaps the section is only focused on PW defects and not on AC defects, but that is not clear from the current text.
 
3) The text says:
 
         if (control plane == "UP" || BFD Status == "UP")
            PW status = DOWN;
 
I assume the two "UP"s are supposed to be "DOWN"s.

Even if these inaccuracies would be corrected, I believe it is better to delete this section altogether. It does not belong in the VCCV draft. The OAM message mapping draft provides a much more precise and comprehensive description of defect states and the conditions under which these states are entered and exited.

Peter, I only added this because I believe that others insisted that clarification 
was needed in this section.  I do not recall anyone asking for it to be completely
removed, just aligned with what appears in the OAM msg map draft and to act
as a summary of what is explained in detail there.

--Tom

Peter

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3